// Toggle Collision Mask Size
if (keyboard_check_pressed(vk_space)) {
    if (size == 256) {
        size = 16;
    } else {
        size = 256;
    }
    collision_triangle_init(size);
}

// Change Triangle Shape
if (mouse_check_button(mb_left)) {
    var mx = mouse_x;
    var my = mouse_y;
    var d1 = point_distance(mx, my, x1, y1);
    var d2 = point_distance(mx, my, x2, y2);
    var d3 = point_distance(mx, my, x3, y3);
    if (d1 < d2 && d1 < d3) {
        x1 = mx;
        y1 = my;
    }
    if (d2 < d1 && d2 < d3) {
        x2 = mx;
        y2 = my;
    }
    if (d3 < d1 && d3 < d2) {
        x3 = mx;
        y3 = my;
    }
}

// Perform Triangle Collision
with (objBall) {
    image_blend = #444444;
    if (collision_triangle(other.x1,other.y1,other.x2,other.y2,other.x3,other.y3,id) == id) {
        image_blend = c_white;
    }
}
